<?php
ob_start();
$isIIS = ( isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS')!==false );
if(!$isIIS) opcache_reset();
if(!session_id()) session_start();


include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//ini_set('display_errors', 1);
//ini_set('display_startup_errors', 1);
//error_reporting(E_ALL);

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

include_once($rutaPhp.$rutaHtml.'/acceso/control.php');
include_once($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

//Permisos para los diferentes tipos de documentos
$imprimirDocumentosCierre=(isset($_SESSION['parametrosSGA']['ImprimirCierreOrden']) && $_SESSION['parametrosSGA']['ImprimirCierreOrden']=='S');
//09-06-2025
$imprimirEtiquetaAgencia=(isset($_SESSION['orden']['ImprimeEtiquetaAgenciaTransporte']) && $_SESSION['orden']['ImprimeEtiquetaAgenciaTransporte']=='S');

////////$imprimirEtiquetaAgencia=true;
////////$_SESSION['orden']['OrdenPreparacion']='P2500057';


if(isset($_GET['procedencia']) && $_GET['procedencia']) $procedencia=$_GET['procedencia']; else $procedencia='';
if(isset($_GET['subprocedencia']) && $_GET['subprocedencia']) $subprocedencia=$_GET['subprocedencia']; else $subprocedencia='';

$permiso=false;
$esPreparacion=false;
$paginaVolver='';

//22-11-2024
if(isset($_GET['redireccionTTT']) && $_GET['redireccionTTT']) $redireccionTTT=$_GET['redireccionTTT'];
else $redireccionTTT=false;

if($traza) {
	echo '<p>imprimirDocumentosCierre: '.$imprimirDocumentosCierre.'</p>';
	echo '<p>imprimirEtiquetaAgencia: '.$imprimirEtiquetaAgencia.'</p>';
	echo '<p>OP: '.$_SESSION['orden']['OrdenPreparacion'].'</p>';
	echo '<p>redireccionTTT: '.$redireccionTTT.'</p>';
}

$TipoDocumento='';

$envioForm='documentos-imprimir.php';

//if($procedencia=='CIERREOPREP' && ($imprimirDocumentosCierre || $imprimirEtiquetaAgencia) ) {
if($procedencia=='CIERREOPREP') {

	$esPreparacion=true;
	$titulo='Orden de Preparación';
	if(isset($_GET['numOrden']) && $_GET['numOrden']) {
		$numOrden=$_GET['numOrden'];
		$empresa=$_GET['empresa'];
		$permiso=true;
	}
	else if($_SESSION['orden']['OrdenPreparacion']) {
		$numOrden=$_SESSION['orden']['OrdenPreparacion'];
		$empresa=$_SESSION['orden']['Empresa'];
		$permiso=true;
	}
	$paginaVolver=$rutaHtml.'/ordenes-preparacion.php';
	
	$envioForm.='?procedencia='.$procedencia;
	if($redireccionTTT) $envioForm.='&redireccionTTT=si';
	
	$TipoDocumento='OPREP';
	
	//25-05-2026 TAREA INTERNA 74922 
	$volverSinEsperarTodosImpresos=(isset($ordenPreparacionRapida) && $ordenPreparacionRapida);
	
	
}
else if($procedencia=='ETIQUETAAGENCIA') {

	$titulo='Etiqueta de transporte - Orden de Preparación';
	$numOrden=$_GET['numOrden'];
	$empresa=$_GET['empresa'];
	$esPreparacion=true;
	$permiso=true;
	////$numOrden='P2500057';
	$paginaVolver=$rutaHtml.'/etiqueta-transporte.php';
	
	$envioForm.='?procedencia='.$procedencia;
	if($redireccionTTT) $envioForm.='&redireccionTTT=si';
	
	
	if(count($_SESSION['empresasGrupo'])>1) {
		foreach($_SESSION['empresasGrupo'] as $item) if($item['Codigo']==$empresa) $titulo.=' ('.$item['Nombre'].')';
	}
	
}



if($subprocedencia=='selector') {
	$paginaVolver=$rutaHtml.'/documentos-imprimir-selector.php?procedencia='.$procedencia; //Pagina de devolucion comun
}

$envioForm.='&numOrden='.$numOrden;
$envioForm.='&empresa='.$empresa;
$envioForm.='&subprocedencia='.$subprocedencia;

if($traza) $envioForm.='&traza=si';

//$recargar=false;



if($permiso) {

	if(isset($_POST['enviarFormulario']) && $_POST['enviarFormulario']==1) {
	
		$esperarCarga=true;
		$esperarRespuestaProxy=false;
	
		if($esPreparacion) {
		
			$documentos='';
		
			foreach($_SESSION['documentos'] as $documento) {
			
				$numDocumento=$documento['Documento'];
				
				if( ($procedencia=='CIERREOPREP' || $procedencia=='ETIQUETAAGENCIA') && $numDocumento==6) $esperarRespuestaProxy=true;  ///En el caso de la etiqueta CTT, hay que esperar la respuesta desde el proxy
				
				if($_POST['selector-'.$numDocumento] && $_POST['cantidad-'.$numDocumento]>0 ) {
				
					$documentos.=';'.$numDocumento.','.$_POST['impresora-'.$numDocumento].','.$_POST['cantidad-'.$numDocumento];
				}
			
			}
		
		
			$peticion='ImprimirTablet#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#'.$procedencia.';'.$numOrden.$documentos;
			$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
			
			if($traza) {
				echo "<p>".$peticion."</p>";
				print_r($resultado);
			}
			
			//$resultado[0]['Error']='0#No hay ningún error#1234'; //Para pruebas
			
			
			$validacion=explode('#',$resultado[0]['Error']);
			

		
			if($validacion[0]==1) {
			
				?>
				<script>
					$('#popupCargando').hide();
					alert('Error: <?php echo $validacion[1]; ?>',null,'error')
                </script>
				<?php
				
				//$recargar=true;
		
			} else {
			
				?>
				<script>
				
					let volverSinEsperarTodosImpresos=<?php if($volverSinEsperarTodosImpresos) echo 'true'; else echo 'false'; ?>
				
					<?php if($esperarRespuestaProxy && $validacion[2]) { //Solo si llega un id de proceso ?>
					
						let id='<?php echo $validacion[2]; ?>';
						
						console.log('volverSinEsperarTodosImpresos: '+volverSinEsperarTodosImpresos);
					
						mostrarCargando(true,true,titulo='Esperando respuesta del sistema',false);
						
						let contador=1;
						
						let intervalo=setInterval(function(){
						
							console.log('Comprobando existencia doc estado impresión nº '+contador);
						
							$.post('contenidos/documentos-imprimir-estado.php' , { 'accion' : 'comprobar' , 'id' : id })
							.done(function(data){
							
								if(data==1) {
								
									$.post('contenidos/documentos-imprimir-estado.php' , { 'accion' : 'resultado' , 'id' : id })
									.done(function(data){
									
										$('#popupCargando').hide();
										clearInterval(intervalo);
									
										let resultado=atob(data);
										
										console.log('resultado: '+resultado);
										
										resultado=JSON.parse(resultado);
										
										$.post('contenidos/documentos-imprimir-estado.php' , { 'accion' : 'borrar' , 'id' : id })
										.done(function(data){
											
											if(resultado.valor==1) {
											
												if(volverSinEsperarTodosImpresos) { //25-05-2026 TAREA INTERNA 74922 
												
													gestionaRedireccion();
													
												}
												else {
											
													alert(resultado.data,null,'ok')
													.done(function(){
													
														gestionaRedireccion();
														
													});
												
												}
											}
											else {
												let errores='';
												resultado.errores.forEach(error=>{
													errores+=error+'<br>';
												});
												alert('ERROR: '+errores,null,'error')
												.done(function(){
												
													gestionaRedireccion();
													
												});
											}
											
										
										});
									
									});
									
								}
								else {
								
									contador++;
									
								}
							
							});
						
						},1000);
						
						$(document).ready(function(){
						
							$('#botonCancelarCargando').on('click',function(){
							
								clearInterval(intervalo);
								
								gestionaRedireccion();
								
							});
						
						});
					
					<?php } else {  //No esperar respuesta proxy. LCT pasa por aqui ?>
				
						if(volverSinEsperarTodosImpresos) {
						
							$(document).ready(function(){
								gestionaRedireccion();
							});
						
						}
						else {
				
							$('#popupCargando').hide();
					
							alert('Ordenes de impresión lanzadas.',null,'ok')
							.done(function(){
							
								<?php if(!$traza) { ?>
								
									<?php if($redireccionTTT) { ?>
									
										confirm('Esta Preparación incluye productos de tabaco que requieren trazabilidad.<br><br>¿Deseas acceder directamente a la pantalla de trazabilidad a la salida?','pregunta')
										.done(function(){
											$('#popupCargando').show();
											window.location="<?php echo $rutaHtml; ?>/trazabilidad-tabaco-salida.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>&redireccionTTT=<?php echo $redireccionTTT; ?>";
										})
										.fail(function(){
										
											gestionaRedireccion();
											
										});
										
									<?php } else { ?>
									
										gestionaRedireccion();
									
									<?php } ?>
								
								<?php } ?>
								
							});
							
						}
					
					<?php } ?>
					
				</script>
				<?php
				
				//02-12-2025 Quitamos esto para que se pueda volver a la pantalla
				//unset($_SESSION['orden']);
				//unset($_SESSION['documentos']);
				//unset($_SESSION['impresoras']);
				
			}

		}
	
	}
	

	
	//if( !$_POST['enviarFormulario'] || $recargar ) {

		
	
		$peticion='ConsultaDocumentosImprimir#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$procedencia.'#'.$numOrden;
		$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
		

			
		if($traza) {
			echo "<p>".$peticion."</p>";
			print_r($resultado);
		}
		
		$_SESSION['documentos']=arreglaArrayPXMobileProxiumResult($resultado[0]['Documentos']);
		$_SESSION['impresoras']=arreglaArrayPXMobileProxiumResult($resultado[0]['Impresoras']);
		
		
		////////////////////////////////////////////////////
		
		/*
		$documentoTEMP=array();
		$documentoTEMP['Documento']=9;
		$documentoTEMP['DocumentoConfirmacionNecesaria']='S';
		$documentoTEMP['DocumentoNombre']='Documento de prueba';
		$documentoTEMP['DocumentoObtenible']=0;
		$documentoTEMP['DocumentoDisponible']=1;
		$documentoTEMP['Impreso']=1;
		$documentoTEMP['Impresora']='Microsoft Print to PDF';
		$documentoTEMP['NumCopias']=1;
		
		$_SESSION['documentos'][]=$documentoTEMP;
		*/
		
		
		////////////////////////////////////////////////////
		
		$hayAlgunoConConfirmacionNecesaria=false;
		$documentosConfirmables=array();
		foreach($_SESSION['documentos'] as $item) {
			if( isset($item['DocumentoConfirmacionNecesaria']) && $item['DocumentoConfirmacionNecesaria']=='S' && isset($item['Impreso']) && $item['Impreso']=='1' ) {
				$hayAlgunoConConfirmacionNecesaria=true;
				$documentosConfirmables[]=$item;
			}
		}
		
		?>
		
		<h2 style="margin-top:0"><?php echo $titulo; ?> Nº <?php echo $numOrden; ?></h2>
		
		<?php if(count($_SESSION['documentos'])>0) { ?>
        
        	<?php
			$todosImpresos=true;
			$hayImprimibles=false;
			$hayNoDisponibles=false;
			?>
		
        	<form id="formulario" name="formulario" method="post" action="<?php echo $envioForm; ?>">
            
            <p>Documentos disponibles:</p>
            
            <script>
			
			</script>
                
            <table class="tablaFormateada">
            
                <tr>
                    <th></th>
                    <th>Documento</th>
                    <th>Impresora</th>
                    <th>Cantidad</th>
                    <th style="padding-left:20px;padding-right:20px">Impresión<br />solicitada</th>
                    <?php if($hayAlgunoConConfirmacionNecesaria) { ?>
                    <!--<th style="padding-left:20px;padding-right:20px">Confirmación<br />obligatoria</th>-->
                    <?php } ?>
                </tr>
            
                <?php foreach($_SESSION['documentos'] as $documento) { ?>
                
                	<?php
					
					$disponible=(!isset($documento['DocumentoObtenible']) || !$documento['DocumentoObtenible'] || (isset($documento['DocumentoObtenible']) && $documento['DocumentoObtenible'] && isset($documento['DocumentoDisponible']) && $documento['DocumentoDisponible']) );
                    $impreso=($documento['Impreso']);
					$confirmacionObligatoria=(isset($documento['DocumentoConfirmacionNecesaria']) && $documento['DocumentoConfirmacionNecesaria']=='S');
					
					if(!$impreso) $todosImpresos=false;
					if($disponible) $hayImprimibles=true; else $hayNoDisponibles=true;
					
                    ?>
                                    
                    <tr documento="<?php echo $documento['Documento']; ?>" <?php if(!$disponible) { ?>class="refrescar clicable"<?php } ?>>
                        <td>
							<?php if($disponible) { ?>
                            <input type="checkbox" name="selector-<?php echo $documento['Documento']; ?>" id="selector-<?php echo $documento['Documento']; ?>" class="selector checkGrande" <?php if( ($_POST && $_POST['selector-'.$documento['Documento']]) || (!$_POST && isset($documento['NumCopias']) && $documento['NumCopias']>0 && !$impreso) ) echo "checked"; ?> impreso="<?php if($impreso) { ?>1<?php } ?>" nombre="<?php echo $documento['DocumentoNombre']; ?>"/>
                            <?php } ?>
                        </td>
                        <td align="left"><?php echo $documento['DocumentoNombre']; ?></td>
                        <td>
							<?php if($disponible) { ?>
                              <select name="impresora-<?php echo $documento['Documento']; ?>" id="impresora-<?php echo $documento['Documento']; ?>" class="campo impresora">
                                <option value="" <?php if(!$_POST && !$documento['Impresora']) { ?>selected<?php } ?>>---</option>
                                <?php foreach($_SESSION['impresoras'] as $impresora) { ?>
                                <option value="<?php echo $impresora['Impresora']; ?>" <?php if( ($_POST && $_POST['impresora-'.$documento['Documento']]==$impresora['Impresora']) || (!$_POST && $documento['Impresora']==$impresora['Impresora']) ) { ?>selected<?php } ?>><?php echo $impresora['Impresora']; ?></option>
                                <?php } ?>
                              </select>
                            <?php } else { ?>
                            	<img src="<?php echo DIR_IMAGENES; ?>/iconos/error.png" style="width:25px;vertical-align:bottom"/> Todavía no disponible. Actualice para comprobar de nuevo.
                            <?php } ?>
                        </td>
                        <td>
							<?php if($disponible) { ?>
                            <input id="cantidad-<?php echo $documento['Documento']; ?>" name="cantidad-<?php echo $documento['Documento']; ?>" type="text" value="<?php if($_POST) echo $_POST['cantidad-'.$documento['Documento']] ; else if(isset($documento['NumCopias'])) echo $documento['NumCopias']; ?>" class="campo cantidad" style="width:70px" cantidadOriginal="<?php if(isset($documento['NumCopias'])) echo $documento['NumCopias']; ?>"/>
                            <?php } else { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/botones/reresh.png" style="width:45px"/>
                            <?php } ?>
                        </td>
                        <td>
                        	<?php if($impreso) { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/ok.png" style="width:55px"/>
                            <?php } ?>
                        </td>
                        <?php if($hayAlgunoConConfirmacionNecesaria) { ?>
                        <!--<td>
                        	<?php if($confirmacionObligatoria) { ?>
                            <img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:55px"/>
                            <?php } ?>
                        </td>-->
                        <?php } ?>
                    </tr>
                                    
                <?php } ?>
                
            </table>
            
            <input type="hidden" name="enviarFormulario" id="enviarFormulario" value="0"/>
            
            <?php if($hayImprimibles) { ?>
            <p><input type="button" name="botonAceptar" id="botonAceptar" value="IMPRIMIR SELECCIONADOS" class="boton"/></p>
            <?php } ?>
            
            <?php if($hayNoDisponibles) { ?>
            <p><input type="button" name="botonActualizar" id="botonActualizar" value="Actualizar" class="boton"/></p>
			<?php } ?>
            
            <p><input type="button" name="botonCancelar" id="botonCancelar" value="Volver" class="boton reducido"/></p>
            
            <?php if($traza) echo '<p>todosImpresos: '.$todosImpresos.'</p>'; ?>
            
            </form>
            
            <script>
			
			function validaImpresionPrevia(nombreDocumento) {
			
				
			
			}
			
			$(document).ready(function(){
			
				$('.selector').on('change',function(){
				
					let campo=$(this);
					let checkeado=campo.is(':checked');
					let impreso=campo.attr('impreso');
					let nombre=campo.attr('nombre');
					
					
					if(checkeado && impreso) {
					
						confirm('El documento <strong>'+nombre+'</strong> ha sido impreso anteriormente.<br>¿Quieres volverlo a imprimir?')
						.done(function(){
							campo.prop('checked',true);
						})
						.fail(function(){
							campo.prop('checked',false);
						});
					
					}
				
				});
			
				$('.refrescar').on('click',function(){
					$('#popupCargando').show();
					//location.reload();
					window.location=window.location;
				});
				
				$('#botonActualizar').on('click',function(){
					$('#popupCargando').show();
					//location.reload();
					window.location=window.location;
				});
			
			});
			
			</script>
		
		<?php }  else { ?>
		
			<p>No hay documentos disponibles para imprimir.</p>
            
            <p><p><input id="botonVolver" type="button" class="boton" value="Volver" /></p>
            
            <script>
			
				$(document).ready(function() {
				
					<?php if($esPreparacion) { ?>
					
						<?php if($redireccionTTT) { ?>
						
							confirm('Esta Preparación incluye productos de tabaco que requieren trazabilidad.<br><br>¿Deseas acceder directamente a la pantalla de trazabilidad a la salida?','pregunta')
							.done(function(){
								$('#popupCargando').show();
								window.location="<?php echo $rutaHtml; ?>/trazabilidad-tabaco-salida.php?orden=<?php echo $_SESSION['orden']['OrdenPreparacion']; ?>&empresa=<?php echo $_SESSION['orden']['Empresa']; ?>&redireccionTTT=<?php echo $redireccionTTT; ?>";
							})
							.fail(function(){
								$('#popupCargando').show();
								window.location="<?php echo $rutaHtml; ?>/ordenes-preparacion.php";
							});
							
						<?php } ?>

					<?php } ?>
					
					$('#botonVolver').on('click',function(){
						$('#popupCargando').show();
						window.location='<?php echo $paginaVolver; ?>';
					});
					
				});
			
			</script>
		
		<?php } ?>
					
		<script>
		
	
			let documentosConfirmables=[];
			let documento=null;
		
			<?php foreach($documentosConfirmables as $item) { ?>
			documento=['<?php echo $item['Documento']; ?>','<?php echo $item['DocumentoNombre']; ?>'];
			documentosConfirmables.push(documento);
			<?php } ?>
			
			
		
			function confirmaDocumento(posicion,valor) {
			
				posicion=parseInt(posicion);
				
				$('#popupCargando').show();
			
				console.log('Grabacion de la confirmacion: '+posicion);
				
				let TipoDocumento='<?php echo $TipoDocumento; ?>';
				let Documento='<?php echo $numOrden; ?>';
				let CodDocImpreso=documentosConfirmables[posicion][0];
				
				let Respuesta;
				if(valor) Respuesta='S'; else Respuesta='N';
				
				console.log('contenidos/documento-imprimir-confirmacion.php');
				console.log('TipoDocumento: '+TipoDocumento);
				console.log('Documento: '+Documento);
				console.log('CodDocImpreso: '+CodDocImpreso);
				console.log('Respuesta: '+Respuesta);
				
				$.post('contenidos/documento-imprimir-confirmacion.php' , { 'TipoDocumento' : TipoDocumento , 'Documento' :  Documento, 'CodDocImpreso' : CodDocImpreso , 'Respuesta' : Respuesta })
				.done(function(data){
							
					$('#popupCargando').hide();		
							
				  	console.log(data);
					
					let error=data.split('#');
					
					if(error[0]=='0') {
						
						if( posicion < documentosConfirmables.length-1 ) {
							let nuevaPosicion=posicion+1;
							console.log('Lanzamos otro popup: '+nuevaPosicion);
							muestraConfirmacionDocumento(nuevaPosicion);
						}
						else {
							redireccionEfectiva();
						}
						
					}
					else {
					
						alert('Error: No se ha podido grabar la confirmación del documento "'+documentosConfirmables[posicion][1]+'"',null,'error');
					
					}
					
					
				});
	
			}
			
			function muestraConfirmacionDocumento(posicion) {
			
				posicion=parseInt(posicion);
			
				console.log('muestraConfirmacionDocumento: '+posicion);
			
				confirm('¿Has impreso y adjuntado el siguiente documento?<br><br><strong style="font-size:1.5em">'+documentosConfirmables[posicion][1]+'</strong>','informacion','SI','No')
				.done(function(){
					confirmaDocumento(posicion,true);
				})
				.fail(function(){
					confirmaDocumento(posicion,false);
				});
			
			}
			
			function redireccionEfectiva() {
			
				$('#popupCargando').show();
				window.location='<?php echo $paginaVolver; ?>';
					
			}
		
			function redireccionFinal() {
			
				<?php if($hayAlgunoConConfirmacionNecesaria) { ?>
				
					muestraConfirmacionDocumento(0);

				<?php } else { ?>
			
					redireccionEfectiva();
				
				<?php } ?>
			
			}
		
			function gestionaRedireccion() {
			
				<?php if( $todosImpresos || (!$todosImpresos && $volverSinEsperarTodosImpresos) ) { ?>
				
					redireccionFinal()
					
				<?php } ?>
													
			}
		
			$(document).ready(function() {
				
				$('.cantidad').on('click',function(e) {
					$('#calculadora').show();
					$('#valorCalculadora').val( $(this).val() );
					$('#enterCalculadora').attr('campoValor',$(this).attr('id'));
					$('#enterCalculadora').attr('forzarEnter','si');
				});
				
				$('.cantidad').on('change',function(e) {
					var documento=$(this).parent().parent().attr('documento');
					if(parseInt($(this).val())>0 && $(this).val()!='') $('#selector-'+documento).prop('checked',true);
					else $('#selector-'+documento).prop('checked',false);
				});
					
				$('.selector').on('change',function(e) {
				
					var documento=$(this).parent().parent().attr('documento');
					var cantidadOriginal=$('#cantidad-'+documento).attr('cantidadOriginal');
					
					if(!cantidadOriginal || cantidadOriginal==0) cantidadOriginal=1;
					
					if( !$(this).is(':checked') ) $('#cantidad-'+documento).val('');
					else if( $('#cantidad-'+documento).val()=='' || $('#cantidad-'+documento).val()==0 ) $('#cantidad-'+documento).val(cantidadOriginal);
				});	
				
				$('#botonAceptar').on('click',function(){
				
					var error=false;
					var algunoSeleccionado=false;
					
					$('.selector').each(function(){
						if($(this).is(':checked')) algunoSeleccionado=true;
					});
				
					$('.impresora').each(function(){
						var documento=$(this).parent().parent().attr('documento');
						if(( $(this).val()=='' || $(this).val()==0 ) && $('#cantidad-'+documento).val()>0 ) error=true;
					});
					
					if(!algunoSeleccionado) {
						alert('No hay ningún documento seleccionado');
					}
					else if(error) {
						alert('Por favor, revisa las impresoras y las cantidades solicitadas.');
					}
					else {
						$('#popupCargando').show();
						$('#enviarFormulario').val(1);
						$('#formulario').submit();
					}
				
				});
				
				$('#botonCancelar').on('click',function(){
					
					alert('kk');
					
					redireccionFinal();
					
					//$('#popupCargando').show();
					//window.location='<?php echo $paginaVolver; ?>';
				});
			
			});
			
			//gestionaRedireccion(); //Esto solo sirve activarlo durante las pruebas, en otros casos, se comprueba que están todos impresos justo despues de lanzar a imprimir.
					
		</script>
        
	<?php //} //Fin no hay post envio?>

<?php } //Fin permiso ?>

<?php include($rutaPhp.$rutaHtml.'/maqueta/abajo.php'); ?>